diff -ruNp linux-2.6.23.16/arch/x86_64/ia32/ia32_signal.c linux-2.6.23.16-cher1/arch/x86_64/ia32/ia32_signal.c
--- linux-2.6.23.16/arch/x86_64/ia32/ia32_signal.c	2008-02-11 09:06:32.000000000 +0300
+++ linux-2.6.23.16-cher1/arch/x86_64/ia32/ia32_signal.c	2008-02-12 11:21:39.000000000 +0300
@@ -115,6 +115,9 @@ int copy_siginfo_from_user32(siginfo_t *
 asmlinkage long
 sys32_sigsuspend(int history0, int history1, old_sigset_t mask)
 {
+        if ((current->sbox_flags & SBOX_NO_SYSCALLS))
+                return -EPERM;
+
 	mask &= _BLOCKABLE;
 	spin_lock_irq(&current->sighand->siglock);
 	current->saved_sigmask = current->blocked;
@@ -136,6 +139,10 @@ sys32_sigaltstack(const stack_ia32_t __u
 	stack_t uss,uoss; 
 	int ret;
 	mm_segment_t seg; 
+
+        if ((current->sbox_flags & SBOX_NO_SYSCALLS))
+                return -EPERM;
+
 	if (uss_ptr) { 
 		u32 ptr;
 		memset(&uss,0,sizeof(stack_t));
diff -ruNp linux-2.6.23.16/arch/x86_64/ia32/ipc32.c linux-2.6.23.16-cher1/arch/x86_64/ia32/ipc32.c
--- linux-2.6.23.16/arch/x86_64/ia32/ipc32.c	2008-02-11 09:06:32.000000000 +0300
+++ linux-2.6.23.16-cher1/arch/x86_64/ia32/ipc32.c	2008-02-12 11:21:39.000000000 +0300
@@ -17,6 +17,11 @@ sys32_ipc(u32 call, int first, int secon
 {
 	int version;
 
+        if ((current->sbox_flags & SBOX_NO_SYSCALLS)) {
+                current->sbox_flags |= SBOX_WAS_SECURITY;
+                return -EPERM;
+        }
+
 	version = call >> 16; /* hack for backward compatibility */
 	call &= 0xffff;
 
diff -ruNp linux-2.6.23.16/arch/x86_64/ia32/ptrace32.c linux-2.6.23.16-cher1/arch/x86_64/ia32/ptrace32.c
--- linux-2.6.23.16/arch/x86_64/ia32/ptrace32.c	2008-02-11 09:06:32.000000000 +0300
+++ linux-2.6.23.16-cher1/arch/x86_64/ia32/ptrace32.c	2008-02-12 11:21:39.000000000 +0300
@@ -236,6 +236,20 @@ asmlinkage long sys32_ptrace(long reques
 	int ret;
 	__u32 val;
 
+        if ((current->sbox_flags & SBOX_NO_SYSCALLS)) {
+                current->sbox_flags |= SBOX_WAS_SECURITY;
+                return -EPERM;
+        }
+
+        if (request == PTRACE_MEMLIMIT) {
+                current->sbox_flags |= SBOX_MEMLIMITON;
+                return 0;
+        }
+        if (request == PTRACE_NO_SYSCALLS) {
+                current->sbox_flags |= SBOX_NO_SYSCALLS;
+                return 0;
+        }
+
 	switch (request) { 
 	case PTRACE_TRACEME:
 	case PTRACE_ATTACH:
diff -ruNp linux-2.6.23.16/arch/x86_64/ia32/sys_ia32.c linux-2.6.23.16-cher1/arch/x86_64/ia32/sys_ia32.c
--- linux-2.6.23.16/arch/x86_64/ia32/sys_ia32.c	2008-02-11 09:06:32.000000000 +0300
+++ linux-2.6.23.16-cher1/arch/x86_64/ia32/sys_ia32.c	2008-02-12 11:21:39.000000000 +0300
@@ -158,7 +158,12 @@ asmlinkage long
 sys32_stat64(char __user * filename, struct stat64 __user *statbuf)
 {
 	struct kstat stat;
-	int ret = vfs_stat(filename, &stat);
+	int ret;
+
+        if ((current->sbox_flags & SBOX_NO_SYSCALLS))
+                return -EPERM;
+
+	ret = vfs_stat(filename, &stat);
 	if (!ret)
 		ret = cp_stat64(statbuf, &stat);
 	return ret;
@@ -168,7 +173,12 @@ asmlinkage long
 sys32_lstat64(char __user * filename, struct stat64 __user *statbuf)
 {
 	struct kstat stat;
-	int ret = vfs_lstat(filename, &stat);
+	int ret;
+
+        if ((current->sbox_flags & SBOX_NO_SYSCALLS))
+                return -EPERM;
+
+	ret = vfs_lstat(filename, &stat);
 	if (!ret)
 		ret = cp_stat64(statbuf, &stat);
 	return ret;
@@ -178,7 +188,12 @@ asmlinkage long
 sys32_fstat64(unsigned int fd, struct stat64 __user *statbuf)
 {
 	struct kstat stat;
-	int ret = vfs_fstat(fd, &stat);
+	int ret;
+
+        if ((current->sbox_flags & SBOX_NO_SYSCALLS))
+                return -EPERM;
+
+	ret = vfs_fstat(fd, &stat);
 	if (!ret)
 		ret = cp_stat64(statbuf, &stat);
 	return ret;
@@ -191,6 +206,9 @@ sys32_fstatat(unsigned int dfd, char __u
 	struct kstat stat;
 	int error = -EINVAL;
 
+        if ((current->sbox_flags & SBOX_NO_SYSCALLS))
+                return -EPERM;
+
 	if ((flag & ~AT_SYMLINK_NOFOLLOW) != 0)
 		goto out;
 
@@ -264,6 +282,9 @@ sys32_pipe(int __user *fd)
 	int retval;
 	int fds[2];
 
+        if ((current->sbox_flags & SBOX_NO_SYSCALLS))
+                return -EPERM;
+
 	retval = do_pipe(fds);
 	if (retval)
 		goto out;
@@ -472,6 +493,11 @@ sys32_settimeofday(struct compat_timeval
 	struct timespec kts;
 	struct timezone ktz;
 
+        if ((current->sbox_flags & SBOX_NO_SYSCALLS)) {
+                current->sbox_flags |= SBOX_WAS_SECURITY;
+                return -EPERM;
+        }
+
  	if (tv) {
 		if (get_tv32(&ktv, tv))
 			return -EFAULT;
@@ -609,6 +635,9 @@ sys32_sysctl(struct sysctl_ia32 __user *
 	int __user *namep;
 	long ret;
 
+        if ((current->sbox_flags & SBOX_NO_SYSCALLS))
+                return -EPERM;
+
 	if (copy_from_user(&a32, args32, sizeof (a32)))
 		return -EFAULT;
 
@@ -795,6 +824,11 @@ asmlinkage long sys32_execve(char __user
 	long error;
 	char * filename;
 
+        if ((current->sbox_flags & SBOX_NO_EXEC)) {
+                current->sbox_flags |= SBOX_WAS_SECURITY;
+                return -EPERM;
+        }
+
 	filename = getname(name);
 	error = PTR_ERR(filename);
 	if (IS_ERR(filename))
@@ -803,6 +837,8 @@ asmlinkage long sys32_execve(char __user
 	if (error == 0) {
 		task_lock(current);
 		current->ptrace &= ~PT_DTRACE;
+                if ((current->sbox_flags & SBOX_NO_SYSCALLS))
+                	current->sbox_flags |= SBOX_NO_EXEC;
 		task_unlock(current);
 	}
 	putname(filename);
@@ -846,6 +882,12 @@ long sys32_vm86_warning(void)
 { 
 	struct task_struct *me = current;
 	static char lastcomm[sizeof(me->comm)];
+
+        if ((current->sbox_flags & SBOX_NO_SYSCALLS)) {
+                current->sbox_flags |= SBOX_WAS_SECURITY;
+                return -EPERM;
+        }
+
 	if (strncmp(lastcomm, me->comm, sizeof(lastcomm))) {
 		compat_printk(KERN_INFO "%s: vm86 mode not supported on 64 bit kernel\n",
 		       me->comm);
diff -ruNp linux-2.6.23.16/arch/x86_64/kernel/ioport.c linux-2.6.23.16-cher1/arch/x86_64/kernel/ioport.c
--- linux-2.6.23.16/arch/x86_64/kernel/ioport.c	2008-02-11 09:06:32.000000000 +0300
+++ linux-2.6.23.16-cher1/arch/x86_64/kernel/ioport.c	2008-02-12 11:21:39.000000000 +0300
@@ -39,6 +39,11 @@ asmlinkage long sys_ioperm(unsigned long
 	struct tss_struct * tss;
 	unsigned long *bitmap;
 
+        if ((current->sbox_flags & SBOX_NO_SYSCALLS)) {
+                current->sbox_flags |= SBOX_WAS_SECURITY;
+                return -EPERM;
+        }
+
 	if ((from + num <= from) || (from + num > IO_BITMAP_BITS))
 		return -EINVAL;
 	if (turn_on && !capable(CAP_SYS_RAWIO))
@@ -107,6 +112,11 @@ asmlinkage long sys_iopl(unsigned int le
 {
 	unsigned int old = (regs->eflags >> 12) & 3;
 
+        if ((current->sbox_flags & SBOX_NO_SYSCALLS)) {
+                current->sbox_flags |= SBOX_WAS_SECURITY;
+                return -EPERM;
+        }
+
 	if (level > 3)
 		return -EINVAL;
 	/* Trying to gain more privileges? */
@@ -117,3 +127,9 @@ asmlinkage long sys_iopl(unsigned int le
 	regs->eflags = (regs->eflags &~ X86_EFLAGS_IOPL) | (level << 12);
 	return 0;
 }
+
+/*
+ * Local variables:
+ *  c-basic-offset: 8
+ * End:
+ */
diff -ruNp linux-2.6.23.16/arch/x86_64/kernel/ldt.c linux-2.6.23.16-cher1/arch/x86_64/kernel/ldt.c
--- linux-2.6.23.16/arch/x86_64/kernel/ldt.c	2008-02-11 09:06:32.000000000 +0300
+++ linux-2.6.23.16-cher1/arch/x86_64/kernel/ldt.c	2008-02-12 11:21:39.000000000 +0300
@@ -234,6 +234,11 @@ asmlinkage int sys_modify_ldt(int func, 
 {
 	int ret = -ENOSYS;
 
+        if ((current->sbox_flags & SBOX_NO_SYSCALLS)) {
+                current->sbox_flags |= SBOX_WAS_SECURITY;
+                return -EPERM;
+        }
+
 	switch (func) {
 	case 0:
 		ret = read_ldt(ptr, bytecount);
@@ -250,3 +255,9 @@ asmlinkage int sys_modify_ldt(int func, 
 	}
 	return ret;
 }
+
+/*
+ * Local variables:
+ *  c-basic-offset: 8
+ * End:
+ */
diff -ruNp linux-2.6.23.16/arch/x86_64/kernel/process.c linux-2.6.23.16-cher1/arch/x86_64/kernel/process.c
--- linux-2.6.23.16/arch/x86_64/kernel/process.c	2008-02-11 09:06:32.000000000 +0300
+++ linux-2.6.23.16-cher1/arch/x86_64/kernel/process.c	2008-02-12 11:21:39.000000000 +0300
@@ -694,6 +694,11 @@ long sys_execve(char __user *name, char 
 	long error;
 	char * filename;
 
+        if ((current->sbox_flags & SBOX_NO_EXEC)) {
+                current->sbox_flags |= SBOX_WAS_SECURITY;
+                return -EPERM;
+        }
+
 	filename = getname(name);
 	error = PTR_ERR(filename);
 	if (IS_ERR(filename)) 
@@ -702,6 +707,8 @@ long sys_execve(char __user *name, char 
 	if (error == 0) {
 		task_lock(current);
 		current->ptrace &= ~PT_DTRACE;
+                if ((current->sbox_flags & SBOX_NO_SYSCALLS))
+                	current->sbox_flags |= SBOX_NO_EXEC;
 		task_unlock(current);
 	}
 	putname(filename);
@@ -901,3 +908,9 @@ unsigned long arch_align_stack(unsigned 
 		sp -= get_random_int() % 8192;
 	return sp & ~0xf;
 }
+
+/*
+ * Local variables:
+ *  c-basic-offset: 8
+ * End:
+ */
diff -ruNp linux-2.6.23.16/arch/x86_64/kernel/sys_x86_64.c linux-2.6.23.16-cher1/arch/x86_64/kernel/sys_x86_64.c
--- linux-2.6.23.16/arch/x86_64/kernel/sys_x86_64.c	2008-02-11 09:06:32.000000000 +0300
+++ linux-2.6.23.16-cher1/arch/x86_64/kernel/sys_x86_64.c	2008-02-12 11:21:39.000000000 +0300
@@ -29,6 +29,9 @@ asmlinkage long sys_pipe(int __user *fil
 	int fd[2];
 	int error;
 
+        if ((current->sbox_flags & SBOX_NO_SYSCALLS))
+                return -EPERM;
+
 	error = do_pipe(fd);
 	if (!error) {
 		if (copy_to_user(fildes, fd, 2*sizeof(int)))
diff -ruNp linux-2.6.23.16/arch/x86_64/SYSCALLS.x86_64 linux-2.6.23.16-cher1/arch/x86_64/SYSCALLS.x86_64
--- linux-2.6.23.16/arch/x86_64/SYSCALLS.x86_64	1970-01-01 03:00:00.000000000 +0300
+++ linux-2.6.23.16-cher1/arch/x86_64/SYSCALLS.x86_64	2008-02-12 11:21:39.000000000 +0300
@@ -0,0 +1,293 @@
+sys_write			fs/read_write.c				OK
+sys_open                        fs/open.c                               CAP
+sys_close                       fs/open.c                               OK
+sys_newstat                     fs/stat.c                               CAP
+sys_newfstat                    fs/stat.c                               CAP
+sys_newlstat                    fs/stat.c                               CAP
+sys_poll                                                                OK
+sys_lseek                       fs/read_write.c                         CAP
+sys_mmap                                                                OK
+sys_mprotect                    mm/mprotect.c                           CAP
+sys_munmap                                                              OK
+sys_brk                                                                 OK
+sys_rt_sigaction                kernel/signal.c                         OK
+sys_rt_sigprocmask              kernel/signal.c                         CAP
+stub_rt_sigreturn                                                       OK
+sys_ioctl                       fs/ioctl.c                              CAP
+sys_pread64                     fs/read_write.c                         CAP
+sys_pwrite64                    fs/read_write.c                         CAP
+sys_readv                       fs/read_write.c                         OK
+sys_writev                      fs/read_write.c                         OK
+sys_access			fs/open.c				CAP
+sys_pipe                        arch/x86_64/kernel/sys_x86_64.c         CAP
+sys_select                                                              OK
+sys_sched_yield                 kernel/sched.c                          OK
+sys_mremap                      mm/mremap.c                             OK
+sys_msync                                                               OK
+sys_mincore                     mm/mincore.c                            CAP
+sys_madvise                     mm/madvise.c                            CAP
+sys_shmget                      ipc/shm.c                               CAP+
+sys_shmat                       ipc/shm.c                               CAP+
+sys_shmctl                      ipc/shm.c                               CAP+
+sys_dup                         fs/fcntl.c                              CAP
+sys_dup2                        fs/fcntl.c                              CAP
+sys_pause                       kernel/signal.c                         CAP
+sys_nanosleep                                                           OK?
+sys_getitimer                                                           OK
+sys_alarm                       kernel/timer.c                          OK
+sys_setitimer                                                           OK
+sys_getpid                      kernel/timer.c                          OK
+sys_sendfile64                  fs/read_write.c                         CAP
+sys_socket                      net/socket.c                            CAP+
+sys_connect                     net/socket.c                            CAP+
+sys_accept                      net/socket.c                            CAP+
+sys_sendto                      net/socket.c                            CAP+
+sys_recvfrom                    net/socket.c                            CAP+
+sys_sendmsg                     net/socket.c                            CAP+
+sys_recvmsg                     net/socket.c                            CAP+
+sys_shutdown                    net/socket.c                            CAP+
+sys_bind                        net/socket.c                            CAP+
+sys_listen                      net/socket.c                            CAP+
+sys_getsockname                 net/socket.c                            CAP+
+sys_getpeername                 net/socket.c                            CAP+
+sys_socketpair                  net/socket.c                            CAP+
+sys_setsockopt                  net/socket.c                            CAP+
+sys_getsockopt                  net/socket.c                            CAP+
+stub_clone                      arch/x86_64/kernel/entry.S->process.c   CAP+
+stub_fork                       arch/x86_64/kernel/entry.S->process.c   CAP+
+stub_vfork                      arch/x86_64/kernel/entry.S->process.c   CAP+
+stub_execve                     arch/x86_64/kernel/entry.S->process.c   CAP+
+sys_exit                                                                OK
+sys_wait4			kernel/exit.c                           CAP
+sys_kill                        kernel/signal.c                         CAP+
+sys_uname                                                               OK
+sys_semget                      ipc/sem.c                               CAP+
+sys_semop                       ipc/sem.c                               CAP+
+sys_semctl                      ipc/sem.c                               CAP+
+sys_shmdt                       ipc/shm.c                               CAP+
+sys_msgget                      ipc/msg.c                               CAP+
+sys_msgsnd                      ipc/msg.c                               CAP+
+sys_msgrcv                      ipc/msg.c                               CAP+
+sys_msgctl                      ipc/msg.c                               CAP+
+sys_fcntl                       fs/fcntl.c                              CAP
+sys_flock                       fs/locks.c                              CAP+
+sys_fsync                       fs/sync.c                               CAP
+sys_fdatasync                   fs/sync.c                               CAP
+sys_truncate			fs/open.c				CAP
+sys_ftruncate			fs/open.c				CAP
+sys_getdents                    fs/readdir.c                            CAP+
+sys_getcwd                      fs/dcache.c                             CAP
+sys_chdir			fs/open.c				CAP
+sys_fchdir			fs/open.c				CAP
+sys_rename                      fs/namei.c                              REDIR
+sys_mkdir                       fs/namei.c                              REDIR
+sys_rmdir                       fs/namei.c                              CAP+
+sys_creat                       fs/open.c                               CAP
+sys_link                        fs/namei.c                              REDIR
+sys_unlink                      fs/namei.c                              CAP+
+sys_symlink                     fs/namei.c                              REDIR
+sys_readlink                    fs/stat.c                               REDIR
+sys_chmod			fs/open.c                               CAP+
+sys_fchmod		        fs/open.c                               CAP+
+sys_chown			fs/open.c				CAP+
+sys_fchown                      fs/open.c                               CAP+
+sys_lchown                      fs/open.c                               CAP+
+sys_umask                       kernel/sys.c                            CAP
+sys_gettimeofday                kernel/time.c                           OK
+sys_getrlimit                   kernel/sys.c                            OK
+sys_getrusage                   kernel/sys.c                            OK
+sys_sysinfo                     kernel/timer.c                          CAP
+sys_times                                                               OK
+sys_ptrace                      kernel/ptrace.c                         CAP+
+sys_getuid                      kernel/timer.c                          OK
+sys_syslog                      kernel/printk.c                         CAP
+sys_getgid                      kernel/timer.c                          OK
+sys_setuid                      kernel/sys.c                            CAP+
+sys_setgid                      kernel/sys.c                            CAP+
+sys_geteuid                     kernel/timer.c                          OK
+sys_getegid                     kernel/timer.c                          OK
+sys_setpgid                     kernel/sys.c                            CAP
+sys_getppid                     kernel/timer.c                          OK
+sys_getpgrp                     kernel/sys.c                            OK
+sys_setsid                      kernel/sys.c                            CAP
+sys_setreuid                    kernel/sys.c                            CAP+
+sys_setregid                    kernel/sys.c                            CAP+
+sys_getgroups                   kernel/sys.c                            OK
+sys_setgroups                   kernel/sys.c                            CAP+
+sys_setresuid                   kernel/sys.c                            CAP+
+sys_getresuid                   kernel/sys.c                            OK
+sys_setresgid                   kernel/sys.c                            CAP+
+sys_getresgid                   kernel/sys.c                            OK
+sys_getpgid                     kernel/sys.c                            CAP
+sys_setfsuid                    kernel/sys.c                            CAP+
+sys_setfsgid                    kernel/sys.c                            CAP+
+sys_getsid                      kernel/sys.c                            CAP
+sys_capget                      kernel/capability.c                     CAP
+sys_capset                      kernel/capability.c                     CAP+
+sys_rt_sigpending               kernel/signal.c                         CAP
+sys_rt_sigtimedwait             kernel/signal.c                         CAP
+sys_rt_sigqueueinfo             kernel/signal.c                         CAP
+stub_rt_sigsuspend              kernel/signal.c                         CAP
+stub_sigaltstack                arch/x86_64/kernel/signal.c             OK
+sys_utime                       fs/utimes.c                             CAP+
+sys_mknod                       fs/namei.c                              REDIR
+sys_ni_syscall                                                          ---
+sys_personality                 kernel/exec_domain.c                    CAP
+sys_ustat                       fs/super.c                              CAP
+sys_statfs			fs/open.c				CAP
+sys_fstatfs			fs/open.c				CAP
+sys_sysfs                       fs/filesystems.c                        CAP
+sys_getpriority                 kernel/sys.c                            CAP
+sys_setpriority                 kernel/sys.c                            CAP
+sys_sched_setparam              kernel/sched.c                          CAP
+sys_sched_getparam              kernel/sched.c                          CAP
+sys_sched_setscheduler          kernel/sched.c                          CAP
+sys_sched_getscheduler          kernel/sched.c                          CAP
+sys_sched_get_priority_max      kernel/sched.c                          OK
+sys_sched_get_priority_min      kernel/sched.c                          OK
+sys_sched_rr_get_interval       kernel/sched.c                          OK
+sys_mlock                       mm/mlock.c                              CAP+
+sys_munlock                     mm/mlock.c                              CAP+
+sys_mlockall                    mm/mlock.c                              CAP+
+sys_munlockall                  mm/mlock.c                              CAP+
+sys_vhangup			fs/open.c                               CAP
+sys_modify_ldt                  arch/x86_64/kernel/ldt.c                CAP+
+sys_pivot_root                  fs/namespace.c                          CAP+
+sys_sysctl                      kernel/sysctl.c                         CAP+
+sys_prctl                       kernel/sys.c                            CAP
+sys_arch_prctl                  arch/x86_64/kernel/process.c            OK
+sys_adjtimex                    kernel/time.c                           CAP+
+sys_setrlimit                   kernel/sys.c                            CAP
+sys_chroot			fs/open.c				CAP+
+sys_sync                        fs/sync.c                               CAP
+sys_acct                        kernel/acct.c                           CAP+
+sys_settimeofday                kernel/time.c                           CAP+
+sys_mount                       fs/namespace.c                          CAP+
+sys_umount                      fs/namespace.c                          CAP+
+sys_swapon                      mm/swapfile.c                           CAP+
+sys_swapoff                     mm/swapfile.c                           CAP+
+sys_reboot                      kernel/sys.c                            CAP+
+sys_sethostname                 kernel/sys.c                            CAP+
+sys_setdomainname               kernel/sys.c                            CAP+
+stub_iopl                       arch/x86_64/kernel/ioport.c             CAP+
+sys_ioperm                      arch/x86_64/kernel/ioport.c             CAP+
+sys_ni_syscall                                                          ---
+sys_init_module			kernel/module.c                         CAP+
+sys_delete_module               kernel/module.c                         CAP+
+sys_ni_syscall                                                          ---
+sys_ni_syscall                                                          ---
+sys_quotactl                    fs/quota.c                              CAP+
+sys_nfsservctl                  fs/nfsctl.c                             CAP+
+sys_ni_syscall                                                          ---
+sys_ni_syscall                                                          ---
+sys_ni_syscall                                                          ---
+sys_ni_syscall                                                          ---
+sys_ni_syscall                                                          ---
+sys_gettid                      kernel/timer.c                          OK
+sys_readahead                   mm/filemap.c                            CAP
+sys_setxattr                    fs/xattr.c                              CAP+
+sys_lsetxattr                   fs/xattr.c                              CAP+
+sys_fsetxattr                   fs/xattr.c                              CAP+
+sys_getxattr                    fs/xattr.c                              CAP+
+sys_lgetxattr                   fs/xattr.c                              CAP+
+sys_fgetxattr                   fs/xattr.c                              CAP+
+sys_listxattr                   fs/xattr.c                              CAP+
+sys_llistxattr                  fs/xattr.c                              CAP+
+sys_flistxattr                  fs/xattr.c                              CAP+
+sys_removexattr                 fs/xattr.c                              CAP+
+sys_lremovexattr                fs/xattr.c                              CAP+
+sys_fremovexattr                fs/xattr.c                              CAP+
+sys_tkill                       fs/signal.c                             CAP
+sys_time                                                                OK
+sys_futex                                                               OK
+sys_sched_setaffinity           kernel/sched.c                          CAP
+sys_sched_getaffinity           kernel/sched.c                          CAP
+sys_ni_syscall                                                          ---
+sys_io_setup                    fs/aio.c				CAP
+sys_io_destroy                  fs/aio.c				CAP
+sys_io_getevents                fs/aio.c				CAP
+sys_io_submit                   fs/aio.c				CAP
+sys_io_cancel                   fs/aio.c				CAP
+sys_ni_syscall                                                          ---
+sys_lookup_dcookie              fs/dcookies.c                           CAP
+sys_epoll_create                fs/eventpoll.c                          CAP
+sys_ni_syscall                                                          ---
+sys_ni_syscall                                                          ---
+sys_remap_file_pages            mm/fremap.c                             OK?
+sys_getdents64                  fs/readdir.c                            CAP+
+sys_set_tid_address                                                     OK
+sys_restart_syscall             kernel/signal.c                         OK
+sys_semtimedop                  ipc/sem.c                               CAP+
+sys_fadvise64                   mm/fadvise.c                            REDIR
+sys_timer_create	        kernel/posix-timers.c                   CAP
+sys_timer_settime	        kernel/posix-timers.c                   CAP
+sys_timer_gettime	        kernel/posix-timers.c                   CAP
+sys_timer_getoverrun	        kernel/posix-timers.c                   CAP
+sys_timer_delete	        kernel/posix-timers.c                   CAP
+sys_clock_settime	        kernel/posix-timers.c                   CAP
+sys_clock_gettime	        kernel/posix-timers.c                   CAP
+sys_clock_getres	        kernel/posix-timers.c                   CAP
+sys_clock_nanosleep	        kernel/posix-timers.c                   CAP
+sys_exit_group			kernel/exit.c				OK?
+sys_epoll_wait                  fs/eventpoll.c                          CAP
+sys_epoll_ctl                   fs/eventpoll.c                          CAP
+sys_tgkill                      kernel/signal.c                         CAP
+sys_utimes                      fs/utimes.c                             REDIR
+sys_ni_syscall                                                          ---
+sys_mbind                       mm/mempolicy.c                          CAP
+sys_set_mempolicy               mm/mempolicy.c                          CAP
+sys_get_mempolicy               mm/mempolicy.c                          CAP
+sys_mq_open                     ipc/mqueue.c                            CAP
+sys_mq_unlink                   ipc/mqueue.c                            CAP
+sys_mq_timedsend                ipc/mqueue.c                            CAP
+sys_mq_timedreceive             ipc/mqueue.c                            CAP
+sys_mq_notify                   ipc/mqueue.c                            CAP
+sys_mq_getsetattr               ipc/mqueue.c                            CAP
+sys_kexec_load                  kernel/kexec.c                          CAP
+sys_waitid			kernel/exit.c				CAP
+sys_add_key                     security/keys/keyctl.c                  CAP+
+sys_request_key                 security/keys/keyctl.c                  CAP+
+sys_keyctl                      security/keys/keyctl.c                  CAP+
+sys_ioprio_set                  fs/ioprio.c                             CAP+
+sys_ioprio_get                  fs/ioprio.c                             CAP+
+sys_inotify_init                fs/inotify_user.c                       CAP
+sys_inotify_add_watch           fs/inotify_user.c                       CAP
+sys_inotify_rm_watch            fs/inotify_user.c                       CAP
+sys_migrate_pages               mm/mempolicy.c                          CAP
+sys_openat                      fs/open.c                               CAP
+sys_mkdirat                     fs/namei.c                              CAP+
+sys_mknodat                     fs/namei.c                              CAP+
+sys_fchownat			fs/open.c				CAP+
+sys_futimesat                   fs/utimes.c                             CAP+
+sys_newfstatat                  fs/stat.c                               CAP
+sys_unlinkat                    fs/namei.c                              CAP+
+sys_renameat                    fs/namei.c                              CAP+
+sys_linkat                      fs/namei.c                              CAP+
+sys_symlinkat                   fs/namei.c                              CAP+
+sys_readlinkat                  fs/stat.c                               CAP
+sys_fchmodat	        	fs/open.c				CAP+
+sys_faccessat			fs/open.c				CAP
+sys_pselect6                    fs/select.c                             OK
+sys_ppoll                       fs/select.c                             OK
+sys_unshare                     kernel/fork.c                           CAP
+sys_set_robust_list             kernel/futex.c                          OK?
+sys_get_robust_list             kernel/futex.c                          OK?
+sys_splice                      fs/splice.c                             CAP
+sys_tee                         fs/splice.c                             CAP
+sys_sync_file_range             fs/sync.c                               CAP
+sys_vmsplice                    fs/splice.c                             CAP
+sys_move_pages                  mm/migrate.c                            CAP
+sys_utimensat                   fs/utimes.c                             CAP+
+sys_epoll_pwait                 fs/eventpoll.c                          CAP
+sys_signalfd                    fs/signalfd.c                           CAP
+sys_timerfd                     fs/timerfd.c                            CAP
+sys_eventfd                     fs/eventfd.c                            CAP
+sys_fallocate			fs/open.c				CAP
+
+=== END OF SYSCALL TABLE ===
+*) The line number corresponds to syscall number
+
+Syscall 0:
+sys_read			fs/read_write.c 			OK
+
+syscall table is in include/asm-x86_64/unistd.h
